# Class LLBasicAuthenticator

java.lang.Object
com.io7m.looseleaf.server.internal.auth.LLBasicAuthenticator

All Implemented Interfaces:
  `org.eclipse.jetty.security.Authenticator`

public final class LLBasicAuthenticator extends Object implements org.eclipse.jetty.security.Authenticator
An authenticator for basic authentication.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface org.eclipse.jetty.security.Authenticator

  `org.eclipse.jetty.security.Authenticator.AuthConfiguration, org.eclipse.jetty.security.Authenticator.Factory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LLBasicAuthenticator(LLTelemetryServiceType inTelemetry, LLMetricsService inMetrics)`
  An authenticator for basic authentication.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthMethod()`
  `void`
  `prepareRequest(jakarta.servlet.ServletRequest request)`
  `boolean`
  `secureResponse(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, boolean mandatory, org.eclipse.jetty.server.Authentication.User validatedUser)`
  `void`
  `setConfiguration(org.eclipse.jetty.security.Authenticator.AuthConfiguration configuration)`
  `org.eclipse.jetty.server.Authentication`
  `validateRequest(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res, boolean mandatory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LLBasicAuthenticator

    public LLBasicAuthenticator(LLTelemetryServiceType inTelemetry, LLMetricsService inMetrics)
    An authenticator for basic authentication.
    Parameters:
      `inTelemetry` - The telemetry service
      `inMetrics` - The metrics service

- ## Method Details

  - ### setConfiguration

    public void setConfiguration(org.eclipse.jetty.security.Authenticator.AuthConfiguration configuration)
    Specified by:
      `setConfiguration` in interface `org.eclipse.jetty.security.Authenticator`

  - ### getAuthMethod

    public String getAuthMethod()
    Specified by:
      `getAuthMethod` in interface `org.eclipse.jetty.security.Authenticator`

  - ### prepareRequest

    public void prepareRequest(jakarta.servlet.ServletRequest request)
    Specified by:
      `prepareRequest` in interface `org.eclipse.jetty.security.Authenticator`

  - ### validateRequest

    public org.eclipse.jetty.server.Authentication validateRequest(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res, boolean mandatory) throws org.eclipse.jetty.security.ServerAuthException
    Specified by:
      `validateRequest` in interface `org.eclipse.jetty.security.Authenticator`
    Throws:
      `org.eclipse.jetty.security.ServerAuthException`

  - ### secureResponse

    public boolean secureResponse(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, boolean mandatory, org.eclipse.jetty.server.Authentication.User validatedUser)
    Specified by:
      `secureResponse` in interface `org.eclipse.jetty.security.Authenticator`